"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const combine_1 = require("./combine");
const reportsDirPath = process.argv[2];
const outputDir = process.argv[3] || process.argv[2];
const aggregatedReportData = combine_1.aggregateCSVReports(reportsDirPath);
const writePath = path_1.default.join(outputDir, 'aggregatedMobileReport.csv');
if (aggregatedReportData) {
    fs_1.default.writeFile(writePath, aggregatedReportData, (e) => {
        if (e) {
            console.error(e);
        }
    });
    console.log('DONE!');
}
